﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace SecurityAccessDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        TreeView tv;
        DataTable dtMenus;

        public MainWindow()
        {
            InitializeComponent();
            dtMenus = new DataTable();
            Load();
        }

        public void Load()
        {
            try
            {
                dtMenus.Columns.Add("Menus");
                dtMenus.Columns.Add("AccessType");


                dtMenus.Rows.Add("Group 1", "Read");
                dtMenus.Rows.Add("Group 2", "NoAccess");

                dtMenus.Rows.Add("a", "Read");
                dtMenus.Rows.Add("b", "Read");
                dtMenus.Rows.Add("c", "Read");
                dtMenus.Rows.Add("p", "Read");
                dtMenus.Rows.Add("q", "Read");
                dtMenus.Rows.Add("r", "Read");


                string TagValue = dtMenus.Select("Menus='Group 1'")[0]["AccessType"].ToString();
                xamOutlookBar1.Groups[0].Tag = TagValue;

                string TagValue1 = dtMenus.Select("Menus='Group 2'")[0]["AccessType"].ToString();
                xamOutlookBar1.Groups[1].Tag = TagValue1;


            }
            catch (Exception)
            {

                throw;
            }
        }

        private void xamOutlookBar1_SelectedGroupChanged(object sender, RoutedEventArgs e)
        {
            try
            {

                if (xamOutlookBar1.SelectedGroup != null)
                {
                    tv = new TreeView();

                    switch (xamOutlookBar1.SelectedGroup.Header.ToString())
                    {
                        case "Group 1":

                            tv.Items.Add(new TreeViewItem().Header = "a");
                            tv.Items.Add(new TreeViewItem().Header = "b");
                            tv.Items.Add(new TreeViewItem().Header = "c");
                            xamOutlookBar1.SelectedGroup.Content = tv;

                            break;
                        case "Group 2":

                            tv.Items.Add(new TreeViewItem().Header = "p");
                            tv.Items.Add(new TreeViewItem().Header = "q");
                            tv.Items.Add(new TreeViewItem().Header = "r");
                            xamOutlookBar1.SelectedGroup.Content = tv;

                            break;
                    }

                    tv.SelectedItemChanged += new RoutedPropertyChangedEventHandler<object>(TreeViewSelectedItemChanged);
                }
            }
            catch (Exception)
            {

                throw;
            }
        }

        public void TreeViewSelectedItemChanged(object sender, RoutedEventArgs e)
        {
            try
            {

                switch (xamOutlookBar1.SelectedGroup.Header.ToString())
                {
                    case "Group 1":

                        switch (tv.SelectedItem.ToString())
                        {
                            case "a":
                                grdContainer.Children.Clear();
                                string TagValue = dtMenus.Select("Menus='" + tv.SelectedItem.ToString() + "'")[0]["AccessType"].ToString();
                                UserControl2 userControl = new UserControl2();
                                userControl.Tag = TagValue;
                                xamOutlookBar1.SelectedGroup.Tag = TagValue;
                                grdContainer.Children.Add(userControl);
                                break;
                        }

                        break;

                    case "Group 2":

                        switch (tv.SelectedItem.ToString())
                        {
                            case "p":
                                grdContainer.Children.Clear();
                                string TagValue = dtMenus.Select("Menus='" + tv.SelectedItem.ToString() + "'")[0]["AccessType"].ToString();
                                UserControl1 userControl = new UserControl1();
                                userControl.Tag = TagValue;
                                xamOutlookBar1.SelectedGroup.Tag = TagValue;
                                grdContainer.Children.Add(userControl);
                                break;
                        }

                        break;
                }
            }
            catch (Exception)
            {

                throw;
            }
        }


    }
}
